libzypp 17.37.10

zyppng::BasePrivate Class Reference

`#include <zypp-core/zyppng/base/private/base_p.h>`

Inheritance diagram for zyppng::BasePrivate:

## Public Member Functions
| BasePrivate (Base &b)
virtual | ~BasePrivate ()
virtual void | init ()

## Public Attributes
Base::WeakPtr | parent
std::unordered_set< Base::Ptr > | children
Base * | z_ptr = nullptr
std::thread::id | threadId = std::this_thread::get_id()

## Detailed Description

Definition at line 13 of file base_p.h.

## Constructor & Destructor Documentation

## ◆ BasePrivate()

zyppng::BasePrivate::BasePrivate | ( | Base & | b | ) |
| inline

Definition at line 17 of file base_p.h.

## ◆ ~BasePrivate()

zyppng::BasePrivate::~BasePrivate | ( |  | ) |
| virtual

Definition at line 5 of file base.cc.

## Member Function Documentation

## ◆ init()

void zyppng::BasePrivate::init | ( |  | ) |
| virtual

Definition at line 8 of file base.cc.

## Member Data Documentation

## ◆ parent

Base::WeakPtr zyppng::BasePrivate::parent

Definition at line 22 of file base_p.h.

## ◆ children

std::unordered_set< Base::Ptr > zyppng::BasePrivate::children

Definition at line 23 of file base_p.h.

## ◆ z_ptr

Base* zyppng::BasePrivate::z_ptr = nullptr

Definition at line 24 of file base_p.h.

## ◆ threadId

std::thread::id zyppng::BasePrivate::threadId = std::this_thread::get_id()

Definition at line 25 of file base_p.h.

The documentation for this class was generated from the following files:

- zypp-core/zyppng/base/private/base_p.h
- zypp-core/zyppng/base/base.cc